REM $Header: 215187.1 sqlt_s53240_tc_script.sql 11.4.5.4 2013/02/04 carlos.sierra $

-- These are the non-default or modified CBO parameters on source system.
-- ALTER SYSTEM commands can be un-commented out on a test environment.
ALTER SESSION SET optimizer_features_enable = '11.2.0.3';
--ALTER SYSTEM SET "_pga_max_size" = 1717985280 SCOPE=MEMORY;
-- skip "parallel_max_degree" since it is not a real parameter.;
--ALTER SYSTEM SET parallel_threads_per_cpu = 1 SCOPE=MEMORY;
-- skip "sqlstat_enabled" since it is not a real parameter.;
ALTER SESSION SET statistics_level = 'ALL';
VAR   B1                              VARCHAR2(4000);
EXEC :B1                              := '2';


SELECT /*+ gather_plan_statistics monitor bind_aware */ /* ^^unique_id */
       v.customer_name,
       v.orders_total,
       v.credit_limit,
       (orders_total - credit_limit) over_limit
  FROM customer_v v
 WHERE orders_total > credit_limit
   AND customer_type = :b1
 ORDER BY
       over_limit DESC;
